%define api 0.2
%define major	7
%define libname %mklibname wmf%{api}_ %{major}
%define develname %mklibname -d wmf

Summary:	A library to convert wmf files
Name:		libwmf
Version:	0.2.8.4
Release:	%mkrel 16
License:	GPL
Group:		Graphics
BuildRequires:	freetype2-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	png-devel 
BuildRequires:	libexpat-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libx11-devel
Requires: 	%{_lib}magick6Q16
URL:		http://sourceforge.net/projects/wvware/
Source:		http://download.sourceforge.net/wvware/%{name}-%{version}.tar.xz
Patch0:  libwmf-0.2.8.3-nodocs.patch
Patch1:  libwmf-0.2.8.3-relocatablefonts.patch
Patch2:  libwmf-0.2.8.4-fallbackfont.patch
Patch3:  libwmf-0.2.8.4-deps.patch
Patch4:  libwmf-0.2.8.4-multiarchdevel.patch
Patch5:  libwmf-0.2.8.4-intoverflow.patch
Patch6:  libwmf-0.2.8.4-reducesymbols.patch
Patch7:  libwmf-0.2.8.4-useafterfree.patch
Patch8:  libwmf-0.2.8.4-pixbufloaderdir.patch
Patch9:  libwmf-0.2.8.4-CVE-2007-0455.patch
Patch10: libwmf-0.2.8.4-CVE-2007-3472.patch
Patch11: libwmf-0.2.8.4-CVE-2007-3473.patch
Patch12: libwmf-0.2.8.4-CVE-2007-3477.patch
Patch13: libwmf-0.2.8.4-CVE-2007-2756.patch
Patch14: libwmf-0.2.8.4-CAN-2004-0941.patch
Patch15: libwmf-0.2.8.4-CVE-2009-3546.patch
Patch16: libwmf-aarch64.patch
Patch17: libwmf-0.2.8.4-CVE-2015-0848+CVE-2015-4588.patch
Patch18: libwmf-0.2.8.4-CVE-2015-4695.patch
Patch19: libwmf-0.2.8.4-CVE-2015-4696.patch

%description
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

%package -n	%{libname}
Summary:	A library to convert wmf files. - library files
Group:		System/Libraries
Requires:	urw-fonts
Requires(post):	gdk-pixbuf2.0
Requires(postun): gdk-pixbuf2.0

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libwmf.

%package -n	%{develname}
Summary:	A library to convert wmf files. - development environment
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	libwmf-devel = %{version}-%{release}
Provides:	libwmf0.2-devel = %{version}-%{release}
Obsoletes:	libwmf-devel
Obsoletes:  %{_lib}wmf0.2_7-devel
Provides:   %{_lib}wmf0.2_7-devel = %{version}-%{release}

%description -n %{develname}
libwmf is a library for unix like machines that can convert wmf
files into other formats, currently it supports a gd binding
to convert to gif, and an X one to draw direct to an X window
or pixmap.

Install libwmf-devel if you need to compile an application with libwmf
support.

%prep
%setup -q
%apply_patches

f=README ; iconv -f iso-8859-2 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f
%build
rm configure.ac
cp patches/acconfig.h acconfig.h

autoreconf -fiv
%configure2_5x --disable-static --disable-dependency-tracking
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std



# remove anything relevant to fonts.
rm -rf %{buildroot}%{_bindir}/libwmf-fontmap %{buildroot}%{_datadir}/libwmf
# remove static libraries.
find %{buildroot} -name *.la | xargs rm

# multiarch support
%multiarch_binaries %{buildroot}%{_bindir}/libwmf-config

%post -n %{libname}
%{_bindir}/gdk-pixbuf-query-loaders --update-cache

%postun -n %{libname}
if [ -x  %{_bindir}/gdk-pixbuf-query-loaders ]; then
%{_bindir}/gdk-pixbuf-query-loaders --update-cache
fi

%files
# beware not to take gd files here!
%doc COPYING
%{_bindir}/wmf2*

%files -n %{libname}
# beware not to take gd files here!
%doc COPYING
%{_libdir}/libwmf*-%{api}.so.%{major}*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/io-wmf.*

%files -n %{develname}
# beware not to take gd files here!
%doc COPYING CREDITS README NEWS
%doc ChangeLog
%{_bindir}/libwmf-config
%multiarch %{multiarch_bindir}/libwmf-config
%{_libdir}/libwmf.so
%{_libdir}/libwmflite.so
%{_includedir}/libwmf
%{_libdir}/pkgconfig/libwmf.pc

%changelog
* Mon Nov 21 2016 adrianomorselli <adrianomorselli> 0.2.8.4-16uplos2016
- rebuild

* Thu Jun 23 2016 bb <bb> 0.2.8.4-16pclos2016
- fix rpmgroup

* Thu May 10 2016 bb <bb> 0.2.8.4-15pclos2016
- rebuild for new imagemagick

* Sun Nov 18 2012 Ken <lxgator at gmail.com> 0.2.8.4-13pclos2012
- rebuild against libmagick6

* Tue Sep 28 2010 Texstar <texstar at gmail.com> 0.2.8.4-12pclos2010
- rebuild for new gtk2


